org.apache.storm.blobstore

## Class NimbusBlobStore.NimbusDownloadInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.apache.storm.blobstore.InputStreamWithMeta
    - - org.apache.storm.blobstore.NimbusBlobStore.NimbusDownloadInputStream

- All Implemented Interfaces:
    Closeable, AutoCloseable
  Enclosing class:
    NimbusBlobStore

      public class NimbusBlobStore.NimbusDownloadInputStream
      extends InputStreamWithMeta

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NimbusDownloadInputStream(BeginDownloadResult beginBlobDownload)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `available()`
    `long` | `getFileLength()`
    `long` | `getVersion()`
    `int` | `read()`
    `int` | `read(byte[] b)`
    `int` | `read(byte[] b, int off, int len)`

    - ### Methods inherited from class java.io.InputStream

      `close, mark, markSupported, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NimbusDownloadInputStream

          public NimbusDownloadInputStream(BeginDownloadResult beginBlobDownload)

  - ### Method Detail

    - #### getVersion

          public long getVersion()
                          throws IOException

      Specified by:
        `getVersion` in class `InputStreamWithMeta`
      Throws:
        `IOException`

    - #### read

          public int read()
                   throws IOException

      Specified by:
        `read` in class `InputStream`
      Throws:
        `IOException`

    - #### read

          public int read(byte[] b,
                          int off,
                          int len)
                   throws IOException

      Overrides:
        `read` in class `InputStream`
      Throws:
        `IOException`

    - #### read

          public int read(byte[] b)
                   throws IOException

      Overrides:
        `read` in class `InputStream`
      Throws:
        `IOException`

    - #### available

          public int available()

      Overrides:
        `available` in class `InputStream`

    - #### getFileLength

          public long getFileLength()

      Specified by:
        `getFileLength` in class `InputStreamWithMeta`

Copyright © 2021 The Apache Software Foundation. All rights reserved.